<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBillingItemLabel" >Create Billing Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!billingItem.idBillingItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="billingItem.idBillingItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_idItemType">Id Item Type</label>
                    <input currencyMask class="form-control" name="idItemType" id="field_idItemType"
                        [(ngModel)]="itemType"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        [disabled]="true" 
                        readonly />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.idProduct" for="field_idProduct">Id Product</label>
                    <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                        [(ngModel)]="billingItem.idProduct" />
                </div> -->
                <div class="form-group">
                    <label for="field_product">Product</label>
                    <p-dropdown [options]="listMotors" styleClass="form-control" autoWidth="false"
                        [style]="{'width':'100%'}"
                        [(ngModel)]="selectedMotor" id="field_product" name="product"
                        [filter]="true" filterBy="label" 
                        (onChange)="selectMotor(true)"
                    ></p-dropdown>
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.idFeature" for="field_idFeature">Id Feature</label>
                    <input currencyMask class="form-control" name="idFeature" id="field_idFeature"
                        [(ngModel)]="billingItem.idFeature"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div> -->
                <div class="form-group">
                    <label for="field_color">color</label>
                    <select class="form-control" id="field_color" name="color" [(ngModel)]="billingItem.idFeature" >
                        <option [ngValue]="null">Please Select</option>
                        <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features">{{featureOption.refKey}} - {{featureOption.description}}</option>
                    </select>
                    <small class="form-text text-muted">Pilih product untuk menampilkan pilihan warna</small>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.itemDescription" for="field_itemDescription">Item Description</label>
                    <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                    [(ngModel)]="billingItem.itemDescription" 
                    readonly/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="billingItem.qty" (blur)="hitungHargaInputManual()"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.unitPrice" for="field_unitPrice">Unit Price</label>
                    <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                        [(ngModel)]="billingItem.unitPrice" (blur)="hitungHargaInputManual()"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.basePrice" for="field_basePrice">Base Price</label>
                    <input currencyMask class="form-control" name="basePrice" id="field_basePrice"
                        [(ngModel)]="billingItem.basePrice" (blur)="hitungHargaInputManual()"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div> -->
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.discount" for="field_discount">Discount</label>
                    <input currencyMask class="form-control" name="discount" id="field_discount"
                        [(ngModel)]="billingItem.discount" (blur)="hitungHargaInputManual()"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.taxAmount" for="field_taxAmount">Tax Amount</label>
                    <input currencyMask class="form-control" name="taxAmount" id="field_taxAmount"
                        [(ngModel)]="billingItem.taxAmount" (blur)="hitungHargaInputManual()"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        readonly
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.totalAmount" for="field_totalAmount">Total Amount</label>
                    <input currencyMask class="form-control" name="totalAmount" id="field_totalAmount"
                        [(ngModel)]="billingItem.totalAmount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        readonly
                         />
                </div>
                <div class="form-group" *ngIf="idBilling === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.billing" for="field_billing">Billing</label>
                    <select class="form-control" id="field_billing" name="billing" [(ngModel)]="billingItem.billingId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billingOption.idBilling" *ngFor="let billingOption of billings; trackBy: trackBillingById">{{billingOption.id}}</option>
                    </select>
                </div>
                <!-- <div class="form-group" *ngIf="idInventoryItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingItem.inventoryItem" for="field_inventoryItem">Inventory Item</label>
                    <select class="form-control" id="field_inventoryItem" name="inventoryItem" [(ngModel)]="billingItem.inventoryItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
                    </select>
                </div> -->
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>